SET NOCOUNT ON;

INSERT INTO yahoo.HistoricalPricesWeekly
    ( [LoadDate]
    , [LoadTime]
    , [Symbol]
    , [Date]
    , [Open]
    , [High]
    , [Low]
    , [Close]
    , [Volume]
    , [UnAdjOpen]
    , [UnAdjHigh]
    , [UnAdjLow]
    , [UnAdjClose]
    )
SELECT
    t.[LoadDate]
    , t.[LoadTime]
    , t.[Symbol]
    , t.[Date]
    , t.[Open]
    , t.[High]
    , t.[Low]
    , t.[Close]
    , t.[Volume]
    , t.[UnAdjOpen]
    , t.[UnAdjHigh]
    , t.[UnAdjLow]
    , t.[UnAdjClose]
FROM
    (
    SELECT
        [LoadDate] AS [LoadDate]
        , [LoadTime] AS [LoadTime]
        , [Symbol] AS [Symbol]
        , [Date] AS [Date]
        , [Open] AS [Open]
        , [High] AS [High]
        , [Low] AS [Low]
        , [Close] AS [Close]
        , [Volume] AS [Volume]
        , [UnAdjOpen] AS [UnAdjOpen]
        , [UnAdjHigh] AS [UnAdjHigh]
        , [UnAdjLow] AS [UnAdjLow]
        , [UnAdjClose] AS [UnAdjClose]
    FROM
        OPENROWSET(
            BULK 'C:\MarketData\csv\YahooHistoricalPricesWeekly.csv',
            FORMATFILE = 'C:\MarketData\bin\YahooHistoricalPricesWeekly.fmt',
            CODEPAGE = '1252',
            FIRSTROW = 2) t
    ) t
    LEFT OUTER JOIN yahoo.HistoricalWeekly d
        ON d.Symbol = t.Symbol COLLATE SQL_Latin1_General_CP1_CI_AS AND d.[Date] = t.[Date] AND d.LoadDate = t.LoadDate AND d.LoadTime = t.LoadTime
WHERE
    d.Symbol IS NULL
